Package org.gradle.api.plugins.jvm

# Interface JvmTestSuiteTarget

All Superinterfaces:
  `Named`, `TestSuiteTarget`

@Incubating public interface JvmTestSuiteTarget extends TestSuiteTarget, Named
Defines the target environment against which a `JvmTestSuite` will be run.

Since:
  7.3

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface org.gradle.api.Named

  `Named.Namer`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `DirectoryProperty`
  `getBinaryResultsDirectory()`
  The directory containing the binary results produced by executing this test suite target.
  `TaskProvider<Test>`
  `getTestTask()`
  The `Test` task that runs the tests for the associated test suite.

  ### Methods inherited from interface org.gradle.api.Named

  `getName`

- ## Method Details

  - ### getTestTask

    TaskProvider<Test> getTestTask()
    The `Test` task that runs the tests for the associated test suite.
    Returns:
      provider to the test task

  - ### getBinaryResultsDirectory

    DirectoryProperty getBinaryResultsDirectory()
    The directory containing the binary results produced by executing this test suite target.
    Specified by:
      `getBinaryResultsDirectory` in interface `TestSuiteTarget`
    Returns:
      the binary results directory